function lfh(){}
function afh(a){this.a=a}
function dfh(a){this.a=a}
function nfh(a){this.a=a}
function Ynf(a,b){a.a=b;return a}
function Znf(a){a.e=100;return a}
function $nf(){this.c=new _Ud;PC();this.d=Hwj}
function _df(){this.b=Jz($doc);this.a=Jz($doc)}
function Jkd(a){a.a.ke(0,2);Fkd(a.a.c,0,2)[gzj]=J6j}
function Hkd(a,b,d){var e;a.a.ke(b,1);e=Fkd(a.a.c,b,1);Py(e,D_j,d.a)}
function cnh(a){var b;if(!a.d){b=new lfh;a.d=b}return a.d}
function _t(a,b,d,e){var g;fu(a,b,d);g=St(a,b,d,e==null);e!=null&&My(g,e)}
function $eh(a,b,d,e){xEd.call(this,a,b,d);this.a=e;this.b=new qZi(e1b)}
function aef(a,b){if(a==0||b==0)return 0;return v1c(g1c(Math.round(b/a*100)))}
function Xnf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function cfh(a,b){var d,e;d=wkj(b);if(D4i(d,cDj).b.b!=(Zij(),Yij)){e=gZi(a.a.b,D4i(d,cDj));kfh(a.a.A,e)}else{kfh(a.a.A,null)}}
function Zeh(a){var b,d;b=Wcf();O4i(q4i(b),kEj,xTj);d=new a5i;N4i(D4i(d,VCj),'engine-statistics');S4i(D4i(d,XCj),b);Ckj(new Ujj(d),new dfh(a))}
function bnh(a){var b;if(!a.c){b=new $eh(HDd(tae(a.a)),cnh(a),anh(a),(Rkj(_be(a.a)),c$i(Zbe(a.a)),fKg(nbe(a.a))));TDd((uae(a.a),b),QEd(uae(a.a)));a.c=b}return a.c}
function kfh(a,b){var d;d=new Scf(sL(B$c,juj,-1,[h1c(b.cI().a),b.dI().a,b.eI().a,b.ZH().a,b.aI().a,b.XH().a,b.YH().a,b._H().a,h1c(b.VH().a),h1c(b.fI().a),h1c(b.WH().a),h1c(b.bI().a)]));Vnf(a.b,d)}
function $df(a,b,d){var e,g,i;g=Mld(a.c,a.a);i=aef(b,d);if(i>0){Jy(g,nYj,Tek+i+Lxj);Jy(g,Uek,Tek+i+Lxj)}else{Jy(g,nYj,Vek);Jy(g,Uek,Vek)}e=new T2c;S2c(R2c((MOd(e.a,"<span style='padding-right:5px;'>"),e),i+Lxj),AYj);My(g,(new V2c(e.a.a.a)).a)}
function Vnf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=Xnf(a);if(g>b.a.b)throw new An(Wek+g+Xek+b.a.b);e=YMd(g>=0?(new VMd(NLd(rf(b.a,g)))).a:vvj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=rf(b.a,o);if(null==d)throw new An(Yek+o+Zek);bu(a.b,p,1,d);if(!!i.a&&i1c(e.a,Muj)){$df(rf(a.c,o),v1c(e.a),(new rMd(LLd(d))).a)}else if(!!i.a&&k1c(e.a,Muj)){throw new An($ek)}++p}}
function Wnf(a){var b,d,e,g,i,j,k,n,o,p;i=new dvd;Ky((ked(),i.gb),dYj);avd(i,new Fld("<div class='metric-table-title'>"+a.d+G_j));a.b=new hu;Jy(Dq(a.b),gzj,a.e+Lxj);_t(a.b,0,0,'Metric');_t(a.b,0,1,'Actual');_t(a.b,0,2,izj);Hkd(a.b.d,0,(hmd(),gmd));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];_t(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');_t(a.b,j,1,Hwj);SUd(a.c,new _df);if(b.a){k=rf(a.c,j-1);cu(a.b,j,2,(n=new T2c,S2c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new Nld(new V2c(n.a.a.a)),o=Mld(k.c,k.b),zy(o,'stacked-bar-total'),Jy(o,nYj,cdk),Jy(o,Uek,'width:100%!important'),p=Mld(k.c,k.a),zy(p,'stacked-bar-actual'),wz(p,Hwj),k.c));$df(k,0,0)}else bu(a.b,j,2,Hwj);Hkd(a.b.d,j,gmd);b.c&&Zld(a.b.f,j,'metric-table-baseline');++j}Ikd(a.b.d,0,0,_ek);Ikd(a.b.d,0,1,_ek);Ikd(a.b.d,0,2,_ek);Jkd(a.b.d);avd(i,a.b);return i}
var bfk='Teiid Metrics',Vek='background:none',Uek='cssText',_ek='metric-table-header';G1c(2500,1,{},_df);G1c(2671,1,{},$nf);_.a=null;_.e=100;G1c(4574,997,jvj,$eh);_.Ri=function(){this.A.a=this;iH(this.v,(btf(),atf),this)};_.Uk=function(){Ap((tp(),sp),new afh(this))};_.Wi=function(){this.B&&Zeh(this)};_.$i=function(){Etf(this.a,this)};G1c(4575,1,{},afh);_.rd=function(){Zeh(this.a)};G1c(4576,1282,{},dfh);_.dh=function(a){cfh(this,a)};G1c(4579,1399,hvj,lfh);_.Ah=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s,t;s=new _fj;Vfj(s,new Rfj((AWd(),Bek),new nfh(this)));q=new Ydf(XMj,'Session Count');p=new Ydf(ZMj,'Memory in Use(KB)');o=new Ydf(_Mj,'Memory Used By Active Plans(KB)');i=new Ydf(bNj,'Buffer Disk Reads');j=new Ydf(dNj,'Buffer Disk Writes');d=new Ydf(fNj,'Buffer Cache Reads');e=new Ydf(hNj,'Buffer Cache Writes');r=new Ydf(jNj,'Disk Space In Use(MB)');a=new Ydf(lNj,'Active Plan Count');t=new Ydf(nNj,'Waiting Plan Count');b=new Ydf(pNj,'Average Waiting Plan Time In Milli');n=new Ydf(rNj,'Max Waiting Plan Water Mark Time In Milli');g=sL(T_c,auj,196,[q,p,o,i,j,d,e,r,a,t,b,n]);this.b=Znf(Ynf(new $nf,g),PC());k=BAe(EAe(JAe(FAe(IAe(new KAe,afk),bfk),s),'Metrics for teiid subsystem'),bfk,Wnf(this.b));return CAe(k)};G1c(4580,1,vuj,nfh);_.he=function(a){Zeh(this.a.a)};G1c(4736,1,Qvj);_.pd=function(){pFd(this.b,bnh(this.a.a))};var w2b=iMd(4574),s2b=iMd(4575),t2b=iMd(4576),y2b=iMd(4579),x2b=iMd(4580),vtb=iMd(2671),kqb=iMd(2500);Cwj(so)(76);